Bug 499812 - host screensaver kicks in while virt-manager guest console is grabbed
host screensaver kicks in while virt-manager guest console is grabbed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 06:43 EDT by Rainer Koenig
Modified: 2012-08-16 17:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rainer Koenig 2009-05-08 06:43:46 EDT
Description of problem:
When you work for a long time in a guest OS winodw and then shutdown the guest the next thing happening to your host is that the screensaver switches off the screen and locks it. ;-)

Version-Release number of selected component (if applicable):
0.7.0-4.fc11

How reproducible:
Always

Steps to Reproduce:
1. Install Host and Virtualization packages
2. Install a fully virtualized guest OS
3. Play around in the guest OS Window > screensaver timeout time
4. Shutdown the guest OS
  
Actual results:
After the guest is finished the host OS screen turns blank and is locked

Expected results:
Nothing happens to the host OS. It should be aware of the guest activity.

Additional info:
Found on the KVM test day.
Comment 1 Jens Petersen 2009-05-09 00:37:26 EDT
I have noticed this too many times - thanks for reporting first!
Comment 2 Jens Petersen 2009-05-09 00:39:38 EDT
Hmm experience is a little different - my guest desktops have been idle for a bit and one returns to them they seem to trigger the host desktop screensaver iirc.
Comment 3 Daniel Berrange 2009-05-11 05:36:38 EDT
When this happens would you have been using a guest which triggers keyboard+mouse grab, or does it also happen when using F11 guests which don't grab the mouse anymore ?
Comment 4 Rainer Koenig 2009-05-11 06:01:08 EDT
So far it was always after using guests that grab keyboard and mouse. I didn't play around with guests that don't do that. :-)
Comment 5 Daniel Berrange 2009-05-11 08:29:54 EDT
Ok, so sounds likes gnome-screensaver is not working properly when the pointer is grabbed. Doesn't seem like virt-manager's fault, we're just using the API provided by gdk for pointer grab.
Comment 6 Mark McLoughlin 2009-05-21 13:19:13 EDT
I doubt there's much gnome-screensaver can do about it; AFAIR there's a dbus API that apps can use to inhibit the screensaver ... maybe virt-manager should use that?
Comment 7 Bug Zapper 2009-06-09 11:26:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-04-27 10:13:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 08:26:52 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Jens Petersen 2010-06-28 22:25:35 EDT
AFAIK this is still an issue in current releases.

Moving focus anyway from a guest after having been there
long enough to have been away from the host triggers
the screensaver on the host desktop.  It seems annoying
and unnatural more than a feature.
Comment 11 Bug Zapper 2010-07-30 06:39:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora Admin XMLRPC Client 2011-06-21 12:00:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora End Of Life 2012-08-16 17:43:32 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.